/**
 * Imperative (procedural) function to display fomantic 'toast' component.
 * @module components/proc-toast
 */
export interface ToastSettings {
    message?: string;
    [key: string]: unknown;
}
/** Default toast settings */
export declare const toastDefaults: ToastSettings;
/** Imperative function to display Semantic UI Toast component.
 *
 * https://fomantic-ui.com/modules/toast.html
 *
 * Example:
```
    <script>
        toast({
            class: 'success',
            title: 'Better?',
            message: `You're using the good framework!`,
            displayTime: 5000,
        });
    <script>
```
*/
export declare function toast(settings?: ToastSettings): void;
