/**
 * Svelte action to attach fomatter to an input.
 * Takes a Formatter as a value -- see {@link data/format}.
 * @module components/use-format
 */
import type { ActionReturnType, Formatter } from "../data/common";
/**
 * Initializes Semantic UI input, adds Svelte store to hold the value.
 * So `<Data bind:value={...} />` works inside an `<inpit>`.
 *
 * If formatter implemnent parse(), the value is parsed, otherwise it is a formatted.
 *
 * Example:
```
   <input class="ui input" use:format={uppercaseFormatter}>
        <Data bind:value={num} />
        ...
   </select>
```
 */
export declare function format(node: Element, fmt: Formatter): ActionReturnType;
