/**
 * Svelte action to initialize semantic sticky component.
 * @module components/use-sticky
 */
export interface StickySettings {
    [key: string]: unknown;
}
export declare const stickyDefaults: StickySettings;
/** Svelte action to initialize Semantic UI Sticky component.
 *
 * https://semantic-ui.com/modules/sticky.html
 *
 * By defult attaches itself to the parent component.
 *
 * Example:
```
    <form class="ui form">
        <div class="ui right rail">
            <div class="ui segment sticky" use:sticky={{ offset: 10 }}>
                <div class="ui message">...</div>
                <button class="ui button red" on:click={reset}>Reset</button>
            </div>
        </div>
        ...
    </form>
```
*/
export declare function sticky(node: Element, settings?: StickySettings): void;
