/**
 * 'fmt' and 'parse' utility object, input formatter classes.
 * @module data/format
 */
import type { DataTypes } from "./common";
import { SettingsHelper } from "./common";
import type { NumberSettings } from "./semantic-types";
export declare const numberDefaults: SettingsHelper<NumberSettings>;
export type DateFormatFunction = (val: Date | undefined) => string;
export declare function dateFormat(format: string, date: Date): string;
export declare const fmt: {
    [key: string]: ((d: Date | undefined) => string) | ((n: number | undefined) => string) | ((s: string | undefined) => string);
    isoDate: DateFormatFunction;
    isoTime: DateFormatFunction;
};
export declare const parse: {
    [key: string]: (s: string) => DataTypes;
};
