/**
 * Form validation rules and types.
 * @module data/rule-book
 */
import type { RuleFunc } from "./semantic-types";
export declare const rule: {
    empty: () => string;
    checked: () => string;
    email: () => string;
    url: () => string;
    integer: () => string;
    decimal: () => string;
    number: () => string;
    creditCard: () => string;
    regex: (reg: string) => string;
    is: (val: string) => string;
    isExactly: (val: string) => string;
    not: (val: string) => string;
    notExactly: (val: string) => string;
    contain: (val: string) => string;
    containExactly: (val: string) => string;
    doesntContain: (val: string) => string;
    doesntContainExactly: (val: string) => string;
    match: (fld: string) => string;
    different: (fld: string) => string;
    minLength: (n: number) => string;
    exactLength: (n: number) => string;
    maxLength: (n: number) => string;
    minCount: (n: number) => string;
    exactCount: (n: number) => string;
    maxCount: (n: number) => string;
};
export declare function registerRule(name: string, fn: RuleFunc, defaultPrompt: string): void;
export declare function extendRules(): void;
export declare function applyDefaultSettings(locale?: string): void;
