/**
 * Dynamically import translations and formats based on locale.
 * See routes/i18n/extra-locales.ts for an example how to extend it.
 * @module  i18n/base-locales.ts
 */
/** Returns list of supported locales. */
export declare function supportedLocales(): string[];
/** Takes module import promise, reads json, applies settings. */
export declare function readAndApply(prom: Promise<unknown>): Promise<void>;
/** Imports locale settings: validation messages, calendar, date and number formats.
    Returns applied local string or null if locale is not found */
export declare function applyLocale(locale: string): Promise<string | null>;
